Skip to main content
PATCH
/
api
/
v1
/
projects
/
{projectUuid}
/
pinned-lists
/
{pinnedListUuid}
/
items
/
order
Error
A valid request URL is required to generate request examples
{
  "results": [
    {
      "data": {
        "name": "<string>",
        "uuid": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "spaceUuid": "<string>",
        "pinnedListUuid": "<string>",
        "pinnedListOrder": 123,
        "views": 123,
        "firstViewedAt": "<string>",
        "description": "<string>",
        "updatedByUser": {
          "userUuid": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "validationErrors": [
          {
            "createdAt": "2023-11-07T05:31:56Z",
            "error": "<string>",
            "validationId": 123
          }
        ]
      },
      "type": "dashboard",
      "category": "mostPopular"
    }
  ],
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

project uuid

pinnedListUuid
string
required

the list uuid for the pinned items

Body

application/json

the new order of the pinned items

data
object
required

From T, pick a set of properties whose keys are in the union K

type
enum<string>
required
Available options:
chart,
dashboard,
space

Response

Success

results
object[]
required
status
enum<string>
required
Available options:
ok